Subject: build failure of latest ethtool

From: Or Gerlitz <[email-masked]>
Date: Thu, 6 Dec 2012 18:06:14 +0200

Hi Ben,

FYI, building the latest ethtool git fails since sfpid.c is not present 
in the Makefile. Once I built it manually and added to the linkage line, 
ethtool  builds OK.

$ gcc -Wall -g -O2   -o ethtool ethtool.o amd8111e.o de2104x.o e100.o 
e1000.o igb.o fec_8xx.o ibm_emac.o ixgb.o ixgbe.o natsemi.o pcnet32.o 
realtek.o tg3.o marvell.o vioc.o smsc911x.o at76c50x-usb.o sfc.o 
stmmac.o rxclass.o
ethtool.o: In function `do_getmodule':
/upstream/ethtool/ethtool.c:3616: undefined reference to `sff8079_show_all'
collect2: ld returned 1 exit status
make[1]: *** [ethtool] Error 1